# Colysis
A little Videogame with a custom engine written in C/C++.
It uses [Flecs](https://github.com/SanderMertens/flecs) as a ECS framework and [Raylib](https://www.raylib.com/) as a 2D graphics library.

## Building
To build the project, you need to have [CMake](https://cmake.org/) installed.

### Linux
```bash
mkdir build
cd build
cmake ..
make
```

### Windows
```bash
mkdir build
cd build
cmake -G "Visual Studio 17 2022" ..
cmake --build . --config Release
```

### macOS
```bash
mkdir build
cd build
cmake -G "Xcode" ..
cmake --build . --config Release
```

## Running
After building, you can run the game by executing the `colysis` executable.

## License
This `colysis` is currently closed source and will not be open sourced. The engine will be licensed under the [MIT license](LICENSE) as soon as it is finished.
